Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- z
- ~

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Here is a list of all documented class members with links to the class documentation for each member:

### - a -

- A : faiss::LinearTransform
- accum_gt_weight_diff() : faiss::RankingScore2
- add() : faiss::gpu::GpuIndex , faiss::gpu::BinaryFlatIndex , faiss::IndexBinaryFlat , faiss::IndexSplitVectors , faiss::IndexPreTransform , faiss::IndexBinaryFromFloat , faiss::gpu::FlatIndex , faiss::IndexBinaryHNSW , faiss::IndexBinaryIVF , faiss::gpu::GpuIndexBinaryFlat , faiss::gpu::IndexProxy , faiss::IndexFlat , faiss::IndexRefineFlat , faiss::gpu::BlockSelect< K, V, Dir, Comp, NumWarpQ, NumThreadQ, ThreadsPerBlock > , faiss::IndexFlat1D , faiss::IndexHNSW , faiss::OperatingPoints , faiss::gpu::GpuIndexFlat , faiss::gpu::WarpSelect< K, V, Dir, Comp, NumWarpQ, NumThreadQ, ThreadsPerBlock > , faiss::IndexIVF , faiss::Index2Layer , faiss::gpu::WorkerThread , faiss::IndexLSH , faiss::IndexPQ , faiss::gpu::GpuIndexIVF , faiss::Index , faiss::MultiIndexQuantizer , faiss::IndexScalarQuantizer , faiss::IndexBinary , faiss::IndexIDMap , faiss::IndexShards
- add_codes() : faiss::ReconstructFromNeighbors
- add_core() : faiss::IndexBinaryIVF , faiss::IndexIVFFlat , faiss::IndexIVFPQR
- add_core_o() : faiss::IndexIVFPQ
- add_entry() : faiss::InvertedLists
- add_links_starting_from() : faiss::HNSW
- add_range() : faiss::ParameterSpace
- add_with_ids() : faiss::IndexIVFFlatDedup , faiss::gpu::GpuIndex , faiss::Index , faiss::IndexBinary , faiss::IndexBinaryIVF , faiss::IndexIVFFlat , faiss::IndexIVFPQ , faiss::IndexIVFPQR , faiss::IndexIVFScalarQuantizer , faiss::IndexIDMap , faiss::IndexIDMap2 , faiss::IndexShards , faiss::IndexPreTransform
- add_with_locks() : faiss::HNSW
- addCodeVectorsFromCpu() : faiss::gpu::IVFFlat , faiss::gpu::IVFPQ
- addImpl_() : faiss::gpu::GpuIndex , faiss::gpu::GpuIndexFlat , faiss::gpu::GpuIndexIVFFlat , faiss::gpu::GpuIndexIVFPQ
- addIndex() : faiss::gpu::IndexProxy
- addIndicesFromCpu_() : faiss::gpu::IVFBase
- addInternal_() : faiss::gpu::GpuIndex
- addn() : faiss::HeapArray< C >
- addn_with_ids() : faiss::HeapArray< C >
- advance() : faiss::VisitedTable
- all_pts : faiss::OperatingPoints
- all_to_gnuplot() : faiss::OperatingPoints
- apply() : faiss::VectorTransform
- apply_chain() : faiss::IndexPreTransform
- apply_noalloc() : faiss::VectorTransform , faiss::NormalizationTransform , faiss::LinearTransform , faiss::RemapDimensionsTransform
- apply_preprocess() : faiss::IndexLSH
- as() : faiss::gpu::detail::SubTensor< TensorType, 0, PtrTraits > , faiss::gpu::detail::SubTensor< TensorType, SubDim, PtrTraits > , faiss::gpu::detail::SubTensor< TensorType, 0, PtrTraits >
- assign() : faiss::Index , faiss::IndexBinary
- assign_index : faiss::ProductQuantizer
- assign_indexes : faiss::MultiIndexQuantizer2
- assign_probas : faiss::HNSW